Bug 190467 - [PATCH] devel/tigcc: Options, staging, take maintainership
Summary: [PATCH] devel/tigcc: Options, staging, take maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-02 00:02 UTC by Naram Qashat
Modified: 2014-09-06 05:16 UTC (History)
2 users (show)

See Also:


Attachments
tigcc-0.96.b8.patch (7.94 KB, patch)
2014-06-02 00:02 UTC, Naram Qashat
no flags Details | Diff
Revised patch (10.38 KB, patch)
2014-06-24 14:21 UTC, Guido Falsi
madpilot: maintainer-approval? (cyberbotx)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Naram Qashat 2014-06-02 00:02:08 UTC
Created attachment 143280 [details]
tigcc-0.96.b8.patch

- Use new Options framework
- Add staging
- Take maintainership

NOTE: pkg-message was moved to files/pkg-message.in, the below patch doesn't
      appear to convey that properly though.

Generated with FreeBSD Port Tools 1.02 (mode: change, diff: SVN)
Comment 1 Guido Falsi freebsd_committer 2014-06-24 14:21:14 UTC
Created attachment 144100 [details]
Revised patch

Hi,

I have made a few further changes to the port.

It did not build on 10 and head, due to clang. Being this port an old version of gcc, I resorted to forcing it to always use gcc.

To make this work I also modified the do-install target and added a sed expression to make the port pass the correct environment to make and respect the CC, CFLAGS and friends.

Can you review and, if it's ok with you, approve the attached patch?

Thanks for your submission!
Comment 2 Naram Qashat 2014-06-25 02:03:18 UTC
I approve of the patch, thanks!
Comment 3 Guido Falsi freebsd_committer 2014-06-25 12:34:08 UTC
Committed! Thanks!
Comment 4 commit-hook freebsd_committer 2014-06-25 12:34:22 UTC
A commit references this bug:

Author: madpilot
Date: Wed Jun 25 12:33:42 UTC 2014
New revision: 359234
URL: http://svnweb.freebsd.org/changeset/ports/359234

Log:
  - Stagify
  - Fix build on 10 and head
  - Assign maintainership to submitter

  PR:		190467
  Submitted by:	Naram Qashat <cyberbotx@cyberbotx.com>

Changes:
  head/devel/tigcc/Makefile
  head/devel/tigcc/files/pkg-message.in
  head/devel/tigcc/pkg-message